Bug 846480 - (kde-print-manager) Review Request: kde-print-manager - Printer management for KDE
Review Request: kde-print-manager - Printer management for KDE
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-08-07 17:53 EDT by Rex Dieter
Modified: 2012-09-17 19:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 19:18:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jpopelka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2012-08-07 17:53:16 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/kde-print-manager/kde-print-manager.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kde-print-manager/kde-print-manager-0.1.0-1.fc17.src.rpm
Description: 
This project aims to be a full replacement for the
current printing management of KDE.

* It should be small and fast
* Simple and functional
* Very well integrated

Fedora Account System Username: rdieter
Comment 1 Kevin Kofler 2012-08-07 17:59:51 EDT
I don't think this description is appropriate for an RPM %description targeted at end users. It's worded like a project description for a yet-to-be-written program, not like a description of what is implemented now.
Comment 2 Jiri Popelka 2012-08-09 12:35:27 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail

==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Rpath absent or only used for internal libs.
[-]: MUST Development (unversioned) .so files in -devel subpackage, if present.

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[!]: MUST All build dependencies are listed in BuildRequires.

add
BuildRequires: gettext

[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[-]: MUST Each %files section contains %defattr if rpm < 4.4
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Package installs a %{name}.desktop using desktop-file-install.

Not sure, but this is probably not applicable to this package, is it ?

[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST The spec file handles locales properly.
[x]: MUST Package consistently uses macro.
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint is run on all rpms the build produces.

E: invalid-soname /usr/lib64/libkcupslib.so libkcupslib.so
The soname of the library is neither of the form lib<libname>.so.<major> or
lib<libname>-<major>.so.

[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot}
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.

Please do so.

[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX is a working URL.
Comment 3 Rex Dieter 2012-08-23 11:07:53 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/kde-print-manager/kde-print-manager.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kde-print-manager/kde-print-manager-0.2.0-1.fc17.src.rpm

%changelog
* Thu Aug 23 2012 Rex Dieter <rdieter@fedoraproject.org> 0.2.0-1
- 0.2.0


As for the rpmlint complaint:
E: invalid-soname /usr/lib64/libkcupslib.so libkcupslib.so

this is a private unversioned library, which ought to be perfectly acceptable.  I've added a comment to the .spec to clarify that.
Comment 4 Rex Dieter 2012-08-23 11:10:28 EDT
Clarified

%changelog
* Thu Aug 23 2012 Rex Dieter <rdieter@fedoraproject.org> 0.2.0-1
- 0.2.0
- BR: gettext
- simplified %%description
Comment 5 Jiri Popelka 2012-08-23 11:39:45 EDT
APPROVED !
Comment 6 Rex Dieter 2012-08-23 12:06:01 EDT
Thanks! (you rock)

New Package SCM Request
=======================
Package Name: kde-print-manager
Short Description: Printer management for KDE
Owners: rdieter jreznik kkofler ltinkl than rnovacek
Branches: f16 f17 f18
InitialCC:
Comment 7 Gwyn Ciesla 2012-08-23 12:36:45 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-08-23 13:09:55 EDT
kde-print-manager-0.2.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kde-print-manager-0.2.0-1.fc18
Comment 9 Fedora Update System 2012-08-23 21:23:38 EDT
kde-print-manager-0.2.0-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2012-09-17 19:18:12 EDT
kde-print-manager-0.2.0-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.